#-------------------------------------------------
#
# Project created by QtCreator 2019-11-22T10:54:21
#
#-------------------------------------------------

QT       += core gui
QT       += dbus

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

PKGCONFIG += dtkwidget dframeworkdbus
CONFIG += c++11 link_pkgconfig
TARGET = deepin-defender-server
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

dbus.files = com.deepin.defender.xml

dbus.source_flags += -i /usr/include/libdframeworkdbus-2.0/types/defenderfileinfo.h
dbus.header_flags += -i /usr/include/libdframeworkdbus-2.0/types/defenderfileinfo.h

dbus.source_flags += -i /usr/include/libdframeworkdbus-2.0/types/defenderdissection.h
dbus.header_flags += -i /usr/include/libdframeworkdbus-2.0/types/defenderdissection.h

dbus.source_flags += -i /usr/include/libdframeworkdbus-2.0/types/defenderversioninfo.h
dbus.header_flags += -i /usr/include/libdframeworkdbus-2.0/types/defenderversioninfo.h

dbus.source_flags += -i /usr/include/libdframeworkdbus-2.0/types/defenderupdatestate.h
dbus.header_flags += -i /usr/include/libdframeworkdbus-2.0/types/defenderupdatestate.h

DBUS_ADAPTORS += dbus
DBUS_INTERFACES += dbus

SOURCES += \
        main.cpp \
        mainwindow.cpp \
    dbussecuritycenterservice.cpp \
    loadlib.cpp \
    netlicksocket.cpp

HEADERS += \
        mainwindow.h \
    dbussecuritycenterservice.h \
    common.h \
    loadlib.h \
    netlicksocket.h

LIBS +=-L./../libTest -ltest

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
