QT += core gui dbus x11extras dtkwidget

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = deepin-defender-analysisapp
TEMPLATE = app
CONFIG += c++11 link_pkgconfig
PKGCONFIG += dframeworkdbus gsettings-qt xcb xcb-util dtkwm

SOURCES += \
        main.cpp \
        common/common.cpp \
        common/find_window_title.cpp \
        common/process_tree.cpp \
        common/utils.cpp \
        getpiddetailname.cpp \
        csingleteon.cpp \
        operatedbusdata.cpp

HEADERS += \
        common/common.h \
        common/find_window_title.h \
        common/hashqstring.h \
        common/process_tree.h \
        common/utils.h \
        getpiddetailname.h \
        csingleteon.h \
        operatedbusdata.h

LIBS += -L"libprocps" -lprocps
LIBS += -lX11 -lXext -lXtst -ldtkwm

DTK_SETTINGS = $${QT.dtkcore.tools}/dtk-settings

dbus.files = com.deepin.defender.analysisapp.xml

dbus.source_flags += -i /usr/include/libdframeworkdbus-2.0/types/defenderprocessinfo.h
dbus.header_flags += -i /usr/include/libdframeworkdbus-2.0/types/defenderprocessinfo.h

dbus.source_flags += -i /usr/include/libdframeworkdbus-2.0/types/defenderprocesslist.h
dbus.header_flags += -i /usr/include/libdframeworkdbus-2.0/types/defenderprocesslist.h

#dbus.source_flags += -i defenderprocessinfolist.cpp
#dbus.header_flags += -i defenderprocessinfolist.h

DBUS_ADAPTORS += dbus
DBUS_INTERFACES += dbus

target.path = /usr/bin/

install_service.files = com.deepin.defender.analysisapp.service
install_service.path = /usr/share/dbus-1/services

#install_desktop.files = ./deepin-defender-analysisapp.desktop
#install_desktop.path = /usr/share/applications

INSTALLS += target install_service #install_desktop

DISTFILES += \
    deepin-defender-analysisapp.desktop
