QT += core gui dbus

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = deepin-defender-system
TEMPLATE = app
CONFIG += c++11 link_pkgconfig
PKGCONFIG += dtkwidget dframeworkdbus

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

SOURCES += \
    main.cpp \
    systemdbus.cpp

HEADERS += \
    systemdbus.h

DISTFILES += \
    com.deepin.defender.system.xml \
    com.deepin.defender.system.conf

dbus.files = com.deepin.defender.system.xml

DBUS_ADAPTORS += dbus
DBUS_INTERFACES += dbus

message("current dir:" + $$PWD)
system_dbus_conf.path = /usr/share/dbus-1/system.d
system_dbus_conf.files = ./com.deepin.defender.system.conf

install_service.files = ./com.deepin.defender.system.service
install_service.path = /usr/share/dbus-1/system-services

target.path=/usr/bin
INSTALLS += target system_dbus_conf install_service
