/*
 * Copyright (C) 2019 ~ 2019 Deepin Technology Co., Ltd.
 *
 * Author:     caitao <caitao@deepin.com>
 *
 * Maintainer: caitao <caitao@deepin.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#pragma once

#include <DBackgroundGroup>
#include <DCommandLinkButton>

#include <QWidget>
#include <QLabel>

DWIDGET_USE_NAMESPACE

class FixItemWindow : public QFrame
{
public:
    FixItemWindow(QWidget *parent = 0);
    void setIcon(QIcon icon);
    void setText(QString text);
    void setButtonText(QString text);
    DCommandLinkButton *getButton();

protected:
    void resizeEvent(QResizeEvent *event);

private:
    DBackgroundGroup *m_bgGroup;
    QLabel *m_leftIcon;
    QLabel *m_leftLabel;
    DCommandLinkButton *m_rightBtn;
};
