#pragma once

#include "window/namespace.h"

class QWidget;
class QString;

DEF_NAMESPACE_BEGIN
class ModuleInterface;
class FrameProxyInterface
{
public:
    // Module request to into next page
    virtual void pushWidget(ModuleInterface *const inter, QWidget *const w) = 0;

    virtual void popWidget(ModuleInterface *const inter) = 0;

    virtual void setModuleVisible(ModuleInterface *const inter, const bool visible) = 0;

    virtual void setCurrentModule(int index) = 0;

    virtual int getModuleIndex(const QString &name) = 0;
};
DEF_NAMESPACE_END
