#ifndef LIBTEST_H
#define LIBTEST_H

#include "libtest_global.h"
#include "../server/common.h"

class LIBTESTSHARED_EXPORT LibTest
{
public:
    LibTest();

    int dissection(QString path, DISSECTION_PROGRESS_CALLBACK funciton);
    int dissection(int taskId, DISSECTION_PROGRESS_CALLBACK funciton);
    bool setDissectionState(int taskId, State state);
    VersionInfo currentVersion();
    void check(CHECK_CALLBACK function);
    void update(UPATE_PROGRESS_CALLBACK function);
};

#endif // LIBTEST_H
