#include <DApplication>
#include <DMainWindow>
#include <DWidgetUtil>
#include <DLog>

#include "systemdbus.h"

DWIDGET_USE_NAMESPACE
DCORE_USE_NAMESPACE

int main(int argc, char *argv[])
{    
    DApplication::loadDXcbPlugin();
    DApplication a(argc, argv);
    a.setAttribute(Qt::AA_UseHighDpiPixmaps);
    a.setOrganizationName("deepin");
    a.setApplicationName("deepin-defender-system");
    a.setQuitOnLastWindowClosed(false);
    a.loadTranslator();

    DLogManager::registerConsoleAppender();
    DLogManager::registerFileAppender();

    SystemDBus dbus;

    return a.exec();
}
