#include "common.h"

const QMap<QString, QString> m_maps = {{"browser360-cn.desktop", "cn.360.browser-cn.desktop"},
    {"desktop_lnk_icon.ico", "wps-office-pdf.desktop"},
    {"org.midori_browser.Midori.desktop","org.midori.browser.desktop"}
};

QString getSystemDesktop(QString desktop)
{
    QMap<QString, QString>::const_iterator temp = m_maps.begin();
    for (; temp != m_maps.end(); temp++) {
        if (temp.key() == desktop)
            return temp.value();
    }
    return desktop;
}
