QT += core gui dbus sql dtkwidget

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = deepin-defender-trafficdetails
TEMPLATE = app
CONFIG += c++11 link_pkgconfig
PKGCONFIG += dframeworkdbus

SOURCES += \
        main.cpp \
        operatedbusdata.cpp \
        defenderhandlethread.cpp \
        csingleteon.cpp \
        trafficdetailsworker.cpp \
        usedata.cpp \
        common.cpp \
        defenderdisplay.cpp \
        defenderappflow.cpp

HEADERS += \
        common.h \
        operatedbusdata.h \
        defenderhandlethread.h \
        csingleteon.h \
        trafficdetailsworker.h \
        usedata.h \
        defenderdisplay.h \
        defenderappflow.h

dbus.files = com.deepin.defender.trafficdetails.xml
dbus.header_flags += -i /usr/include/libdframeworkdbus-2.0/types/defenderdisplay.h
dbus.header_flags += -i /usr/include/libdframeworkdbus-2.0/types/defenderappflow.h

DBUS_ADAPTORS += dbus
DBUS_INTERFACES += dbus

target.path = /usr/bin/

install_service.files = com.deepin.defender.trafficdetails.service
install_service.path = /usr/share/dbus-1/services

INSTALLS += target install_service
