#include "writedbusdata.h"
#include "catchnetflow.h"

#include <DLog>

#include <QCoreApplication>

DCORE_USE_NAMESPACE

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);
    a.setOrganizationName("deepin");
    a.setApplicationName("deepin-defender-MonitorNetFlow");

    DLogManager::registerConsoleAppender();
    DLogManager::registerFileAppender();

    WriteDBusData dbusData;

    CatchNetFlow catNetFlow(argc, argv, &dbusData);
    catNetFlow.start();

    return a.exec();
}
